services:
    ollama:
        restart: always
        image: ollama/ollama
        container_name: ollama
        ports:
            - 11434:11434
        volumes:
            - /home/soenke/docker-data/ollama/ollama:/root/.ollama

    open-webui:
        image: "ghcr.io/open-webui/open-webui:main"
        restart: always
        container_name: open-webui
        environment:
            OAUTH_CLIENT_ID: b8Ktsot896DWYOMpSeKCyA30b0SfV5hW1qSpQtEh
            OAUTH_CLIENT_SECRET: qLW9FNTRIhWpS51Ynx1gx0AiB0x0UGrs5FVukyBZyDNrNYc6NLdotHJq9U6giQJ48TnIHpE3mHvbCFvXnR8jpeV5o50CgbLXGXATHb0Om2K80TvFLSgAhbU8oIBvdSvj
            OAUTH_PROVIDER_NAME: auth.domr.ovh
            OPENID_PROVIDER_URL: https://auth.domr.ovh/application/o/openwebui/.well-known/openid-configuration
            OPENID_REDIRECT_URI: https://chat.domr.ovh/oauth/oidc/callback
            ENABLE_OAUTH_SIGNUP: 'true'

        volumes:
            - /home/soenke/docker-data/ollama/open-webui:/app/backend/data
        extra_hosts:
            - "host.docker.internal:host-gateway"
        ports:
            - 1180:8080
        labels:
            kuma.tools.tag.name: 'Tools'
            kuma.tools.tag.color: '#FF9900'
            kuma.homelab.tag.name: 'Homelab'
            kuma.homelab.tag.color: '#FF9955'
            kuma.organization.tag.name: 'Organization'
            kuma.organization.tag.color: '#FF99AA'
            kuma.ollama.http.name: 'ollama'
            kuma.ollama.http.url: 'https://chat.domr.ovh/'
            kuma.ollama.http.tag_names: '[{"name": "tools", "value": "" }, {"name": "organization", "value": "" }]'

